<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Facultad</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:growl id="msj"/>       
                <p:fieldset legend="Agregar Facultad" style="margin-bottom:10px">
                    <h:form id="datos">
                        <h:panelGrid columns="2" cellspacing="2">
                            <p:outputLabel value="Facultad" style="margin-right:50px;"/>
                            <p:inputText value="#{facultadController.facultad.facultad}"/>            

                            <div class="registrar"> 
                                <p:commandButton style="top:4px;" icon="pi pi-save" rendered="#{facultadController.facultad.facultad==null}" value="Registrar" actionListener="#{facultadController.insertar()}" update=":datos,:msj,:tabla"/>
                            </div>
                              <p:commandButton icon="pi pi-times" rendered="#{facultadController.facultad.facultad!=null}" value="Cancelar" actionListener="#{facultadController.init()}" update=":datos,:msj,:tabla"/>
                                <p:commandButton  icon="pi pi-refresh" rendered="#{facultadController.facultad.facultad!=null}" value="Actualizar" actionListener="#{facultadController.editar()}" update=":datos,:msj,:tabla"/>

                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
            
                <p:fieldset legend="Listado de Facultades">
                    <h:form id="tabla" class="dosColumnas">
                        <p:dataTable value="#{facultadController.listaFacultad}" var="ver" paginator="true" rows="5" style="width: 80%; margin: auto">
                            <p:column headerText="Facultad">
                                <p:outputLabel value="#{ver.facultad}" />
                            </p:column>
                            <p:column headerText="Acciones">
                                
                             <div class="eliminar"> 
                                    <p:commandButton style="margin-right:20px;" icon="pi pi-trash"  value="Eliminar" actionListener="#{facultadController.eliminar(ver)}" update=":tabla,:msj"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton style="margin-right:20px;" icon="pi pi-pencil" value="Editar" actionListener="#{facultadController.consultarById(ver)}" update=":datos"/>
                                </div>
                                
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

